package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月16日 下午2:51:04 
 * 类说明 
 */
public class DispatcherReq  extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="content",value="搜索内容",required=true)
	private String content;
	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
	private int pageSize =10;
    @ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo =1;
    @ApiModelProperty(name="libId",value="图书馆id",required=true)
	private String libId ;
    @ApiModelProperty(name="type",value="1-回收2-入库",required=true)
   	private int type ;
    @ApiModelProperty(name="stat",value="获取数据类型1-在馆(已回收)2-已回收(已入库)3-非馆目标",required=true)
    private int stat;
    
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getPageNo() {
		return pageNo;
	}
	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public int getStat() {
		return stat;
	}
	public void setStat(int stat) {
		this.stat = stat;
	}
	
}
